module vga_display(clock,PB1,red_out,green_out,blue_out,horiz_sync,vertical_sync);
input clock, PB1;
wire red_in, green_in, blue_in;
output red_out, green_out, blue_out;
output horiz_sync, vertical_sync;
wire [9:0] pixel_row, pixel_column;

// begin custom code
assign red_in = ~PB1;
assign green_in = 1'b0;
assign blue_in = 1'b0;
// end custom code

vga_sync VGA(clock, red_in, green_in, blue_in, red_out, green_out, blue_out, horiz_sync, vertical_sync, pixel_row, pixel_column);

endmodule
