module clock_divider(CLK,RST,clk_1Mhz,clk_100Khz,clk_10Khz,clk_1Khz,clk_100hz,clk_10hz,clk_1hz);
input CLK,RST;
output clk_1Mhz, clk_100Khz,clk_10Khz,clk_1Khz,clk_100hz,clk_10hz,clk_1hz;

divide_by_25  dx(clk_1Mhz,CLK,RST);
divide_by_ten d1(clk_100Khz,clk_1Mhz,RST);
divide_by_ten d2(clk_10Khz,clk_100Khz,RST);
divide_by_ten d3(clk_1Khz,clk_10Khz,RST);
divide_by_ten d4(clk_100hz,clk_1Khz,RST);
divide_by_ten d5(clk_10hz,clk_100hz,RST);
divide_by_ten d6(clk_1hz,clk_10hz,RST);
endmodule
